Get transaction receipt
Get the receipt for a contract write transaction.
GET
/
api
/
v1
/
contract-interactions
/
network
/
{networkId}
/
tx
/
{txId}
Get transaction receipt
curl --request GET \
--url https://sandbox.oumla.com/api/v1/contract-interactions/network/{networkId}/tx/{txId} \
--header 'x-api-key: <api-key>' \
--header 'x-sdk-version: <x-sdk-version>'import requests
url = "https://sandbox.oumla.com/api/v1/contract-interactions/network/{networkId}/tx/{txId}"
headers = {
"x-sdk-version": "<x-sdk-version>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-sdk-version': '<x-sdk-version>', 'x-api-key': '<api-key>'}
};
fetch('https://sandbox.oumla.com/api/v1/contract-interactions/network/{networkId}/tx/{txId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receipt": {
"blockHash": "<string>",
"blockNumber": "<string>",
"contractAddress": "<string>",
"cumulativeGasUsed": "<string>",
"effectiveGasPrice": "<string>",
"from": "<string>",
"gasUsed": "<string>",
"logs": [
{
"address": "<string>",
"topics": [
"<string>"
],
"data": "<string>",
"blockNumber": "<string>",
"transactionHash": "<string>",
"transactionIndex": 123,
"blockHash": "<string>",
"logIndex": 123,
"removed": true
}
],
"logsBloom": "<string>",
"status": 123,
"to": "<string>",
"transactionHash": "<string>",
"transactionIndex": 123,
"type": 123
}
}{
"code": "ERR_008",
"message": "You need to sign in to continue.",
"category": "AUTHORIZATION",
"statusCode": 401,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_009",
"message": "You don't have permission to do that.",
"category": "AUTHORIZATION",
"statusCode": 403,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_046",
"message": "Transaction receipt not found.",
"category": "RESOURCE",
"statusCode": 404,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_019",
"message": "Something went wrong on our side.",
"category": "SYSTEM",
"statusCode": 500,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}Authorizations
API key for authentication
Headers
SDK version header
Path Parameters
Network Id
Transaction ID
Example:
"0x5f8c2a1e3d9b4e1c7f8a0c6e4d9a2b1c3f6e7a9b8d4e5c1a2b3c4d5e6f7a"
Response
Transaction receipt
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieved assets for addressGet asset balances for a given address, optionally filtered by network.
Next
⌘I
Get transaction receipt
